Bug 215734 - CVE-2006-5925 elinks smb protocol arbitrary file access
CVE-2006-5925 elinks smb protocol arbitrary file access
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elinks (Show other bugs)
5
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Karel Zak
impact=critical,source=fulldisclosure...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 09:42 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 16:35:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-11-15 09:42:02 EST
+++ This bug was initially created as a clone of Bug #215731 +++

A flaw has been found in the way elinks parses smb:// protocol URLs:
http://marc.theaimsgroup.com/?l=full-disclosure&m=116355556512780&w=2

This flaw could allow a remote web page to read and write arbitrary files with
the permissions of the user running elinks.
Comment 1 Karel Zak 2006-11-20 19:42:16 EST
The --disable-smb option has been added to FC5 and FC6 spec file (... although
this bug doesn't have impact on packages which was compiled in build roots where
is not smbclient (e.g. mock build roots).
Comment 2 Fedora Update System 2006-11-21 16:24:36 EST
elinks-0.11.0-2.4 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-11-21 16:24:53 EST
elinks-0.11.1-5.1 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.